# GetAvailableUnfreezeCount

Remaining times of executing unstake operation in Stake2.0.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

Stake 2.0 supports unstaking in batches, but only allows a maximum of 32 unstake operations at the same time.

That is to say, when a user initiates the first unstake operation, before the TRX of the first unstaking arrives and is ready to be withdrawn to his or her account, he or she can only initiate another 31 unstake operations. This can prevent malicious attacks.

## **Parameters**

* `owner_address` - String, required - Owner address, default hexString
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

`count` - int64 : Remaining times of available unstaking.

```json
// Result
{
  "count": 32
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getavailableunfreezecount \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/account-resources/getavailableunfreezecount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
